commit 9d41e6c0f626003ddcdeaca5e5811fa8275c7b11
Author: freddy77 <freddy77>
Date:   Sun Jan 10 14:43:11 2010 +0000

    Use _WIN32 and _WIN64 instead of WIN32 and WIN64

diff --git a/ChangeLog b/ChangeLog
index 135a790..766fcfb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,18 @@
+Sun Jan 10 15:42:50 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/fakepoll.h include/replacements.h include/tdsodbc.h:
+	* src/apps/bsqldb.c src/apps/defncopy.c src/dblib/bcp.c:
+	* src/dblib/dblib.c src/dblib/unittests/common.c:
+	* src/odbc/connectparams.c src/odbc/odbc.c:
+	* src/odbc/unittests/common.c src/odbc/unittests/common.h:
+	* src/odbc/unittests/tables.c src/odbc/unittests/timeout2.c:
+	* src/replacements/basename.c src/replacements/fakepoll.c:
+	* src/replacements/gettimeofday.c:
+	* src/replacements/readpassphrase.c src/replacements/vasprintf.c:
+	* src/tds/config.c src/tds/convert.c src/tds/log.c src/tds/login.c:
+	* src/tds/net.c src/tds/threadsafe.c src/tds/util.c:
+	* win32/winlogin.c win32/winsetup.c:
+	- Use _WIN32 and _WIN64 instead of WIN32 and WIN64
+
 Sun Jan 10 14:49:39 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/db-lib.vcproj src/replacements/replacements.vcproj:
 	- Be consistent about WIN32/WIN64 defines
@@ -2078,4 +2093,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2930 2010/01/10 13:50:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2931 2010/01/10 14:43:11 freddy77 Exp $
diff --git a/include/fakepoll.h b/include/fakepoll.h
index 7315555..74cd7d4 100644
--- a/include/fakepoll.h
+++ b/include/fakepoll.h
@@ -1,4 +1,4 @@
-/* $Id: fakepoll.h,v 1.2 2009/04/09 01:40:25 jklowden Exp $ */
+/* $Id: fakepoll.h,v 1.3 2010/01/10 14:43:11 freddy77 Exp $ */
 #if !defined(_FAKE_POLL_H) && !defined(HAVE_POLL)
 #define _FAKE_POLL_H
 
@@ -15,7 +15,7 @@
 #include <sys/select.h>
 #endif 
 
-#if defined(WIN32)
+#if defined(_WIN32)
 #include <winsock2.h>
 #endif
 
diff --git a/include/replacements.h b/include/replacements.h
index 5a95294..ebdd02b 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.22 2010/01/08 22:41:35 jklowden Exp $ */
+/* $Id: replacements.h,v 1.23 2010/01/10 14:43:11 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -96,7 +96,7 @@ size_t tds_strlcat(char *dest, const char *src, size_t len);
 char *tds_basename(char *path);
 #endif
 
-#if defined(WIN32)
+#if defined(_WIN32)
 # if !defined(strncasecmp) 
 #     define  strncasecmp(x,y,z) strnicmp((x),(y),(z))
 # endif
diff --git a/include/tdsodbc.h b/include/tdsodbc.h
index ce4b566..93416ed 100644
--- a/include/tdsodbc.h
+++ b/include/tdsodbc.h
@@ -66,7 +66,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.116 2009/12/17 10:33:59 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.117 2010/01/10 14:43:11 freddy77 Exp $ */
 
 #if defined(__GNUC__) && __GNUC__ >= 4
 #pragma GCC visibility push(hidden)
@@ -430,7 +430,7 @@ typedef struct _hchk TDS_CHK;
 #endif
 #endif
 
-#ifdef WIN32
+#ifdef _WIN32
 BOOL get_login_info(HWND hwndParent, TDSCONNECTION * connection);
 #endif
 
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index 3532c8b..f0fc136 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -45,10 +45,10 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.37 2010/01/08 22:41:35 jklowden Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.38 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#ifdef WIN32
+#ifdef _WIN32
 #define NULL_DEVICE "NUL:"
 #else
 #define NULL_DEVICE "/dev/null"
diff --git a/src/apps/defncopy.c b/src/apps/defncopy.c
index bcb810f..4f2ccc2 100644
--- a/src/apps/defncopy.c
+++ b/src/apps/defncopy.c
@@ -18,7 +18,7 @@
  */
 
 #ifdef MicrosoftsDbLib
-#ifdef WIN32
+#ifdef _WIN32
 # pragma warning( disable : 4142 )
 # include "win32.microsoft/have.h"
 # include "../../include/replacements.win32.hacked.h"
@@ -83,12 +83,12 @@ int getopt(int argc, const char *argv[], char *optstring);
 #include "replacements.h"
 #else
 
-#ifndef WIN32
+#ifndef _WIN32
 # include "replacements.h"
 #endif
 #endif /* MicrosoftsDbLib */
 
-static char software_version[] = "$Id: defncopy.c,v 1.16 2010/01/09 13:10:30 freddy77 Exp $";
+static char software_version[] = "$Id: defncopy.c,v 1.17 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifndef MicrosoftsDbLib
@@ -145,7 +145,7 @@ main(int argc, char *argv[])
 	int i, nrows;
 
 	/* Initialize db-lib */
-#if WIN32 && defined(MicrosoftsDbLib)
+#if _WIN32 && defined(MicrosoftsDbLib)
 	LPCSTR msg = dbinit();	
 	if (msg == NULL) {
 #else 
@@ -706,7 +706,7 @@ get_login(int argc, char *argv[], OPTIONS *options)
 	}
 
 #ifdef MicrosoftsDbLib
-#if WIN32
+#if _WIN32
 	if (fdomain) 
 		DBSETLSECURE(login);
 #endif
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index 1aa97c7..db4bac0 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -38,7 +38,7 @@
 #include <unistd.h>
 #endif /* HAVE_UNISTD_H */
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <io.h>
 #endif
 
@@ -62,11 +62,11 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.190 2010/01/09 14:32:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.191 2010/01/10 14:43:11 freddy77 Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
-#elif defined(WIN32) || defined(WIN64)
+#elif defined(_WIN32) || defined(_WIN64)
 /* win32 version */
 typedef __int64 offset_type;
 # if defined(HAVE__FSEEKI64) && defined(HAVE__FTELLI64)
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index ef7239e..e1a9d04 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.358 2009/12/16 08:22:57 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.359 2010/01/10 14:43:11 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -287,7 +287,7 @@ dblib_get_tds_ctx(void)
 		if (g_dblib_ctx.tds_ctx->locale && !g_dblib_ctx.tds_ctx->locale->date_fmt) {
 			/* set default in case there's no locale file */
 			const static char date_format[] = 
-#ifndef WIN32
+#ifndef _WIN32
 							   "%b %e %Y %I:%M:%S:%z%p";
 #else
 							   "%b %d %Y %I:%M:%S:%z%p";
@@ -7817,7 +7817,7 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 
 	tdsdump_log(TDS_DBG_FUNC, "dbperror(%p, %d, %ld)\n", dbproc, msgno, errnum);	/* dbproc can be NULL */
 
-#ifdef WIN32
+#ifdef _WIN32
 	/*
 	 * Unfortunately MingW uses the "old" msvcrt.dll (Visual C++ 2005 uses
 	 * a newer version) which does not set errno when allocation functions
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 93ab234..45d4534 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -22,7 +22,7 @@
 
 #include "replacements.h"
 
-static char software_version[] = "$Id: common.c,v 1.39 2009/09/14 10:02:13 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.40 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -157,7 +157,7 @@ read_login_info(int argc, char **argv)
 #endif
 	
 	BASENAME = tds_basename(ARGV0);
-#if defined(WIN32) || defined(__VMS)
+#if defined(_WIN32) || defined(__VMS)
 	s1 = strrchr(BASENAME, '.');
 	if (s1) *s1 = 0;
 #endif
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 631d379..333ed1d 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.81 2009/12/16 13:06:30 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.82 2010/01/10 14:43:11 freddy77 Exp $");
 
 static const char odbc_param_Servername[] = "Servername";
 static const char odbc_param_Address[] = "Address";
@@ -384,7 +384,7 @@ odbc_parse_connect_string(TDS_ERRS *errs, const char *connect_string, const char
 
 #if !HAVE_SQLGETPRIVATEPROFILESTRING
 
-#ifdef WIN32
+#ifdef _WIN32
 #  error There is something wrong  in configuration...
 #endif
 
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index b0d2654..722548f 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.524 2009/12/28 13:30:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.525 2010/01/10 14:43:11 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -451,7 +451,7 @@ SQLDriverConnect(SQLHDBC hdbc, SQLHWND hwnd, SQLCHAR FAR * szConnStrIn, SQLSMALL
 
 	/* add login info */
 	if (hwnd) {
-#ifdef WIN32
+#ifdef _WIN32
 		/* prompt for login information */
 		if (!get_login_info(hwnd, connection)) {
 			tds_free_connection(connection);
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 998301d..cb75715 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -6,13 +6,13 @@
 
 #include <ctype.h>
 
-#ifndef WIN32
+#ifndef _WIN32
 #include "tds_sysdep_private.h"
 #else
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.55 2009/12/22 18:56:22 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.56 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -27,7 +27,7 @@ char PASSWORD[512];
 char DATABASE[512];
 char DRIVER[1024];
 
-#ifndef WIN32
+#ifndef _WIN32
 static int
 check_lib(char *path, const char *file)
 {
@@ -66,7 +66,7 @@ read_login_info(void)
 	FILE *in = NULL;
 	char line[512];
 	char *s1, *s2;
-#ifndef WIN32
+#ifndef _WIN32
 	char path[1024];
 	int len;
 #endif
@@ -103,7 +103,7 @@ read_login_info(void)
 	}
 	fclose(in);
 
-#ifndef WIN32
+#ifndef _WIN32
 	/* find our driver */
 	if (!getcwd(path, sizeof(path)))
 		return 0;
diff --git a/src/odbc/unittests/common.h b/src/odbc/unittests/common.h
index cbf0104..22382b7 100644
--- a/src/odbc/unittests/common.h
+++ b/src/odbc/unittests/common.h
@@ -1,4 +1,4 @@
-#ifdef WIN32
+#ifdef _WIN32
 #include <windows.h>
 #include <direct.h>
 #endif
@@ -21,7 +21,7 @@
 #include <sql.h>
 #include <sqlext.h>
 
-static char rcsid_common_h[] = "$Id: common.h,v 1.29 2009/12/15 11:23:47 freddy77 Exp $";
+static char rcsid_common_h[] = "$Id: common.h,v 1.30 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_warn };
 
 #ifndef HAVE_SQLLEN
diff --git a/src/odbc/unittests/tables.c b/src/odbc/unittests/tables.c
index 4c85dca..47c7251 100644
--- a/src/odbc/unittests/tables.c
+++ b/src/odbc/unittests/tables.c
@@ -1,9 +1,9 @@
 #include "common.h"
 
-static char software_version[] = "$Id: tables.c,v 1.17 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: tables.c,v 1.18 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#ifdef WIN32
+#ifdef _WIN32
 #undef strcasecmp
 #define strcasecmp stricmp
 #endif
diff --git a/src/odbc/unittests/timeout2.c b/src/odbc/unittests/timeout2.c
index a5f8f26..13d751d 100644
--- a/src/odbc/unittests/timeout2.c
+++ b/src/odbc/unittests/timeout2.c
@@ -14,10 +14,10 @@
  * Test from Ou Liu, cf "Query Time Out", 2006-08-08
  */
 
-static char software_version[] = "$Id: timeout2.c,v 1.7 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: timeout2.c,v 1.8 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
-#if defined(__MINGW32__) || defined(WIN32)
+#if defined(__MINGW32__) || defined(_WIN32)
 #define sleep(s) Sleep((s)*1000)
 #endif
 
diff --git a/src/replacements/basename.c b/src/replacements/basename.c
index 3dfe522..aba92a4 100644
--- a/src/replacements/basename.c
+++ b/src/replacements/basename.c
@@ -30,9 +30,9 @@
 
 #if ! HAVE_BASENAME
 
-TDS_RCSID(var, "$Id: basename.c,v 1.4 2009/03/19 15:09:56 freddy77 Exp $");
+TDS_RCSID(var, "$Id: basename.c,v 1.5 2010/01/10 14:43:11 freddy77 Exp $");
 
-#ifdef WIN32
+#ifdef _WIN32
 #define TDS_ISDIR_SEPARATOR(c) ((c) == '/' || (c) == '\\')
 #else
 #define TDS_ISDIR_SEPARATOR(c) ((c) == '/')
@@ -52,7 +52,7 @@ char *tds_basename(char *path)
 	p = strrchr(path, '/');
 	if (p)
 		path = p + 1;
-#ifdef WIN32
+#ifdef _WIN32
 	p = strrchr(path, '\\');
 	if (p)
 		path = p + 1;
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index 753153e..3899c2b 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -23,7 +23,7 @@
 
 #ifndef HAVE_POLL
 
-static char software_version[] = "$Id: fakepoll.c,v 1.7 2009/01/21 08:43:54 freddy77 Exp $";
+static char software_version[] = "$Id: fakepoll.c,v 1.8 2010/01/10 14:43:11 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #include <stdarg.h>
@@ -87,7 +87,7 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 			continue;
 		} 
 
-#if defined(WIN32)
+#if defined(_WIN32)
 		/* Win32 cares about the number of descriptors, not the highest one. */
 		++maxfd;
 #else
diff --git a/src/replacements/gettimeofday.c b/src/replacements/gettimeofday.c
index 4a06ea9..f10541b 100644
--- a/src/replacements/gettimeofday.c
+++ b/src/replacements/gettimeofday.c
@@ -21,7 +21,7 @@
 #include <config.h>
 #endif
 
-#if defined(WIN32)
+#if defined(_WIN32)
 
 #if HAVE_ERRNO_H
 #include <errno.h>
@@ -30,7 +30,7 @@
 #include "tds.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: gettimeofday.c,v 1.4 2008/10/02 08:08:00 freddy77 Exp $");
+TDS_RCSID(var, "$Id: gettimeofday.c,v 1.5 2010/01/10 14:43:11 freddy77 Exp $");
 /*
  * Number of micro-seconds between the beginning of the Windows epoch
  * (Jan. 1, 1601) and the Unix epoch (Jan. 1, 1970).
diff --git a/src/replacements/readpassphrase.c b/src/replacements/readpassphrase.c
index 666f33a..e86573f 100644
--- a/src/replacements/readpassphrase.c
+++ b/src/replacements/readpassphrase.c
@@ -231,7 +231,7 @@ static void handler(int s)
 	signo = s;
 }
 
-#else /* WIN32 */
+#else /* _WIN32 */
 
 char *
 readpassphrase(const char *prompt, char *buf, size_t bufsiz, int flags)
@@ -269,6 +269,6 @@ readpassphrase(const char *prompt, char *buf, size_t bufsiz, int flags)
 	return (ch == EOF ? NULL : buf);
 }
  
-#endif /* WIN32 */
+#endif /* _WIN32 */
 
 #endif /* HAVE_READPASSPHRASE */
diff --git a/src/replacements/vasprintf.c b/src/replacements/vasprintf.c
index 7312519..32b7682 100644
--- a/src/replacements/vasprintf.c
+++ b/src/replacements/vasprintf.c
@@ -34,7 +34,7 @@
 #include "tds_sysdep_private.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: vasprintf.c,v 1.21 2010/01/09 09:17:47 freddy77 Exp $");
+TDS_RCSID(var, "$Id: vasprintf.c,v 1.22 2010/01/10 14:43:12 freddy77 Exp $");
 
 #if defined(HAVE__VSNPRINTF) && !defined(HAVE_VSNPRINTF)
 #undef HAVE_VSNPRINTF
@@ -94,7 +94,7 @@ vasprintf(char **ret, const char *fmt, va_list ap)
 
 #ifdef _REENTRANT
 
-# ifdef WIN32
+# ifdef _WIN32
 #  error Win32 do not have /dev/null, should use vsnprintf version
 # endif
 
diff --git a/src/tds/config.c b/src/tds/config.c
index 0d8b661..3111878 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -64,7 +64,7 @@
 #include <arpa/inet.h>
 #endif /* HAVE_ARPA_INET_H */
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <process.h>
 #endif
 
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.152 2010/01/08 22:08:01 jklowden Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.153 2010/01/10 14:43:12 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -94,7 +94,7 @@ static char *interf_file = NULL;
 
 #define TDS_ISSPACE(c) isspace((unsigned char ) (c))
 
-#if !defined(WIN32) && !defined(DOS32X)
+#if !defined(_WIN32) && !defined(DOS32X)
        const char STD_DATETIME_FMT[] = "%b %e %Y %I:%M%p";
 static const char pid_config_logpath[] = "/tmp/tdsconfig.log.%d";
 static const char freetds_conf[] = "%s/etc/freetds.conf";
diff --git a/src/tds/convert.c b/src/tds/convert.c
index adc9967..02ab940 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.194 2009/12/07 16:22:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.195 2010/01/10 14:43:12 freddy77 Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -862,7 +862,7 @@ tds_convert_int8(int srctype, const TDS_CHAR * src, int desttype, CONV_RESULT *
 	case TDS_CONVERT_CHAR:
 	case CASE_ALL_CHAR:
 		/* TODO: fix for all platform. Search for lltoa/_i64toa */
-#if defined(WIN32) 
+#if defined(_WIN32)
 		_i64toa(buf, tmp_str, 10);
 #elif SIZEOF_LONG < 8
 		sprintf(tmp_str, "%" TDS_I64_FORMAT, buf);
@@ -924,7 +924,7 @@ tds_convert_int8(int srctype, const TDS_CHAR * src, int desttype, CONV_RESULT *
 	case SYBNUMERIC:
 	case SYBDECIMAL:
 		/* TODO portability problem. See above */
-#if defined(WIN32) 
+#if defined(_WIN32)
 		_i64toa(buf, tmp_str, 10);
 #elif SIZEOF_LONG < 8
 		sprintf(tmp_str, "%" TDS_I64_FORMAT, buf);
diff --git a/src/tds/log.c b/src/tds/log.c
index 6f02624..52a1328 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -54,7 +54,7 @@
 #include <unistd.h>
 #endif /* HAVE_UNISTD_H */
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <process.h>
 #endif
 
@@ -66,10 +66,10 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.13 2009/09/30 11:52:06 freddy77 Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.14 2010/01/10 14:43:12 freddy77 Exp $");
 
 /* for now all messages go to the log */
-int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE;
+int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE | TDS_DBGFLAG_PID | TDS_DBGFLAG_THREAD;
 int tds_g_append_mode = 0;
 static char *g_dump_filename = NULL;
 static int write_dump = 0;	/* is TDS stream debug log turned on? */
@@ -250,6 +250,14 @@ tdsdump_start(FILE *file, const char *fname, int line)
 		started = 1;
 	}
 
+	if (tds_debug_flags & TDS_DBGFLAG_THREAD) {
+		if (started)
+			*pbuf++ = ' ';
+		pbuf += sprintf(pbuf, "%d", (int) pthread_self());
+		started = 1;
+	}
+
+
 	if ((tds_debug_flags & TDS_DBGFLAG_SOURCE) && fname && line) {
 		const char *p;
 		p = strrchr(fname, '/');
diff --git a/src/tds/login.c b/src/tds/login.c
index 0ff62f4..c16dcb7 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -39,7 +39,7 @@
 #include <unistd.h>
 #endif /* HAVE_UNISTD_H */
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <process.h>
 #endif
 
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.191 2009/12/02 22:58:21 jklowden Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.192 2010/01/10 14:43:12 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
diff --git a/src/tds/net.c b/src/tds/net.c
index dfc686d..2b2a226 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -107,7 +107,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.99 2010/01/09 23:41:52 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.100 2010/01/10 14:43:12 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL) && !defined(C_INTERIX)
@@ -132,7 +132,7 @@ static TDSERRNO tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned i
  * @{ 
  */
 
-#ifdef WIN32
+#ifdef _WIN32
 int
 _tds_socket_init(void)
 {
@@ -178,7 +178,7 @@ _tds_socket_done(void)
 #define USE_NODELAY 1
 #endif
 
-#if !defined(WIN32)
+#if !defined(_WIN32)
 typedef unsigned int ioctl_nonblocking_t;
 #else
 typedef u_long ioctl_nonblocking_t;
@@ -363,7 +363,7 @@ tds_select(TDSSOCKET * tds, unsigned tds_sel, int timeout_seconds)
 	assert(timeout_seconds >= 0);
 
 #if !USE_POLL
-#if !defined(WIN32) && defined(FD_SETSIZE)
+#if !defined(_WIN32) && defined(FD_SETSIZE)
 	if (tds->s >= FD_SETSIZE) {
 		sock_errno = EINVAL;
 		return -1;
@@ -765,7 +765,7 @@ tds_write_packet(TDSSOCKET * tds, unsigned char final)
 	int sent;
 	unsigned int left = 0;
 
-#if !defined(WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
+#if !defined(_WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
 	void (*oldsig) (int);
 #endif
 
@@ -785,7 +785,7 @@ tds_write_packet(TDSSOCKET * tds, unsigned char final)
 
 	tdsdump_dump_buf(TDS_DBG_NETWORK, "Sending packet", tds->out_buf, tds->out_pos);
 
-#if !defined(WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
+#if !defined(_WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
 	oldsig = signal(SIGPIPE, SIG_IGN);
 	if (oldsig == SIG_ERR) {
 		tdsdump_log(TDS_DBG_WARN, "TDS: Warning: Couldn't set SIGPIPE signal to be ignored\n");
@@ -803,7 +803,7 @@ tds_write_packet(TDSSOCKET * tds, unsigned char final)
 #endif
 		sent = tds_goodwrite(tds, tds->out_buf, tds->out_pos, final);
 
-#if !defined(WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
+#if !defined(_WIN32) && !defined(MSG_NOSIGNAL) && !defined(DOS32X)
 	if (signal(SIGPIPE, oldsig) == SIG_ERR) {
 		tdsdump_log(TDS_DBG_WARN, "TDS: Warning: Couldn't reset SIGPIPE signal to previous value\n");
 	}
@@ -859,7 +859,7 @@ tds7_get_instance_ports(FILE *output, const char *ip_addr)
 	}
 
 #if !USE_POLL
-#if !defined(WIN32) && defined(FD_SETSIZE)
+#if !defined(_WIN32) && defined(FD_SETSIZE)
 	if (s >= FD_SETSIZE) {
 		sock_errno = EINVAL;
 		return 0;
@@ -1022,7 +1022,7 @@ tds7_get_instance_port(const char *ip_addr, const char *instance)
 	}
 
 #if !USE_POLL
-#if !defined(WIN32) && defined(FD_SETSIZE)
+#if !defined(_WIN32) && defined(FD_SETSIZE)
 	if (s >= FD_SETSIZE) {
 		sock_errno = EINVAL;
 		return 0;
diff --git a/src/tds/threadsafe.c b/src/tds/threadsafe.c
index f392ab9..5b8e280 100644
--- a/src/tds/threadsafe.c
+++ b/src/tds/threadsafe.c
@@ -74,7 +74,7 @@
 #include <arpa/inet.h>
 #endif /* HAVE_ARPA_INET_H */
 
-#if defined(WIN32) || defined(WIN64)
+#if defined(_WIN32) || defined(_WIN64)
 #include <winsock2.h>
 #include <shlobj.h>
 #endif
@@ -85,12 +85,12 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: threadsafe.c,v 1.47 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: threadsafe.c,v 1.48 2010/01/10 14:43:12 freddy77 Exp $");
 
 char *
 tds_timestamp_str(char *str, int maxlen)
 {
-#if !defined(WIN32) && !defined(WIN64)
+#if !defined(_WIN32) && !defined(_WIN64)
 	struct tm *tm;
 	time_t t;
 
@@ -133,7 +133,7 @@ tds_timestamp_str(char *str, int maxlen)
 	strcat(str, usecs);
 #endif
 
-#else /* WIN32 */
+#else /* _WIN32 */
 	SYSTEMTIME st;
 
 	GetLocalTime(&st);
@@ -513,7 +513,7 @@ tds_getservbyname_r(const char *name, const char *proto, struct servent *result,
 char *
 tds_get_homedir(void)
 {
-#ifndef WIN32
+#ifndef _WIN32
 /* if is available getpwuid_r use it */
 #if defined(HAVE_GETUID) && defined(HAVE_GETPWUID_R)
 	struct passwd *pw, bpw;
@@ -550,7 +550,7 @@ tds_get_homedir(void)
 		return NULL;
 	return strdup(home);
 #endif
-#else /* WIN32 */
+#else /* _WIN32 */
 	/*
 	 * For win32 we return application data cause we use "HOME" 
 	 * only to store configuration files
diff --git a/src/tds/util.c b/src/tds/util.c
index c4034d8..15a6daa 100644
--- a/src/tds/util.c
+++ b/src/tds/util.c
@@ -53,7 +53,7 @@
 #include <unistd.h>
 #endif /* HAVE_UNISTD_H */
 
-#ifdef WIN32
+#ifdef _WIN32
 #include <process.h>
 #endif
 
@@ -65,7 +65,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: util.c,v 1.87 2009/08/25 14:25:35 freddy77 Exp $");
+TDS_RCSID(var, "$Id: util.c,v 1.88 2010/01/10 14:43:12 freddy77 Exp $");
 
 void
 tds_set_parent(TDSSOCKET * tds, void *the_parent)
@@ -207,7 +207,7 @@ tds_version(TDSSOCKET * tds_socket, char *pversion_string)
 unsigned int
 tds_gettime_ms(void)
 {
-#ifdef WIN32
+#ifdef _WIN32
 	return GetTickCount();
 #elif defined(HAVE_GETHRTIME)
 	return (unsigned int) (gethrtime() / 1000000u);
diff --git a/win32/winlogin.c b/win32/winlogin.c
index 9e5969d..540a48a 100644
--- a/win32/winlogin.c
+++ b/win32/winlogin.c
@@ -88,7 +88,7 @@ get_desktop_file(const char *file)
 	return res;
 }
 
-#ifndef WIN64
+#ifndef _WIN64
 #define GetWindowUserData(wnd)       GetWindowLong((wnd), GWL_USERDATA)
 #define SetWindowUserData(wnd, data) SetWindowLong((wnd), GWL_USERDATA, (data))
 #else
diff --git a/win32/winsetup.c b/win32/winsetup.c
index b361af7..ea233f1 100644
--- a/win32/winsetup.c
+++ b/win32/winsetup.c
@@ -192,7 +192,7 @@ validate(DSNINFO * di)
 	return NULL;
 }
 
-#ifndef WIN64
+#ifndef _WIN64
 #define GetWindowUserData(wnd)       GetWindowLong((wnd), GWL_USERDATA)
 #define SetWindowUserData(wnd, data) SetWindowLong((wnd), GWL_USERDATA, (data))
 #else

